Agents

Use the agents endpoints to read the agents associated with an organization. Agents are sales representatives who interact with customers and manage their accounts.

List agents

GET /api/v2/organizations/{organization_id}/agents

Use this endpoint to fetch the agent directory for an organization. This endpoint supports limit and cursor.

List agents request

curl -G https://api.hyperrep.ai/api/v2/organizations/gAAAAABexampleOrganizationIdReturnedByApi7mN4qP2xLs9dV5kTr8cY1hJ6uW3/agents \
  -H "X-API-KEY: your-api-key" \
  --data-urlencode "limit=25"

Example response

{
  "data": [
    {
      "agent_id": "gAAAAABexampleAgentIdReturnedByApi5qN8xLm3sV6kRt2cY9hJ4uW1dF7",
      "name": "Kara Danvers",
      "email": "[email protected]"
    }
  ],
  "pagination": {
    "limit": 25,
    "cursor": null,
    "next_cursor": null,
    "has_more": false
  }
}

Key response fields:

  • Name
    agent_id
    Description

    The agent identifier used for the agent detail endpoint.

  • Name
    name
    Description

    The display name for the agent.

  • Name
    email
    Description

    The agent’s email address when available.

Get an agent

GET /api/v2/organizations/{organization_id}/agents/{agent_id}

Use the agent_id returned by the list endpoint.

Get agent request

curl https://api.hyperrep.ai/api/v2/organizations/gAAAAABexampleOrganizationIdReturnedByApi7mN4qP2xLs9dV5kTr8cY1hJ6uW3/agents/gAAAAABexampleAgentIdReturnedByApi5qN8xLm3sV6kRt2cY9hJ4uW1dF7 \
  -H "X-API-KEY: your-api-key"

Example response

{
  "agent_id": "gAAAAABexampleAgentIdReturnedByApi5qN8xLm3sV6kRt2cY9hJ4uW1dF7",
  "name": "Kara Danvers",
  "email": "[email protected]"
}

List agent conversations

GET /api/v2/organizations/{organization_id}/agents/{agent_id}/conversations

Use this endpoint to list conversations associated with one agent. Use the conversation_id returned by the list endpoint on the conversation detail endpoint to fetch more information.

This endpoint supports limit, cursor, start_date, and end_date. Date parameters are optional — omit them to return all conversations for the agent.

Details on conversation fields can be found in the conversation detail endpoint documentation.

List agent conversations request

curl -G https://api.hyperrep.ai/api/v2/organizations/gAAAAABexampleOrganizationIdReturnedByApi7mN4qP2xLs9dV5kTr8cY1hJ6uW3/agents/gAAAAABexampleAgentIdReturnedByApi5qN8xLm3sV6kRt2cY9hJ4uW1dF7/conversations \
  -H "X-API-KEY: your-api-key" \
  --data-urlencode "limit=25"

Example response

    {
      "data": [
        {
            "conversation_id": "gAAAAABexampleConversationIdReturnedByApi8kP3xLs7dV2mTr5cN9hY1uJ4",
            "start_at": "2026-03-12T01:28:11.008525Z",
            "last_activity_at": "2026-03-12T01:28:41.829924Z",
            "folder": "primary",
            "is_read": true,
            "contact_id": "gAAAAABexampleContactIdReturnedByApi9mN4qP2xLs9dV5kTr8cY1hJ6uW3"

        },
      ],
      "pagination": {
        "limit": 25,
        "cursor": null,
        "next_cursor": null,
        "has_more": false
      }
    }

List agent sales

GET /api/v2/organizations/{organization_id}/agents/{agent_id}/sales

Use this endpoint to list non-draft sales owned by an agent. These sales can be used with the sales endpoints to fetch more information.

This endpoint supports limit, cursor, start_date, and end_date. Date parameters are optional — omit them to return all sales for the agent.

Details of the sales data model and sales stages can be found in the sales documentation.

List agent sales request

curl -G https://api.hyperrep.ai/api/v2/organizations/gAAAAABexampleOrganizationIdReturnedByApi7mN4qP2xLs9dV5kTr8cY1hJ6uW3/agents/gAAAAABexampleAgentIdReturnedByApi5qN8xLm3sV6kRt2cY9hJ4uW1dF7/sales \
  -H "X-API-KEY: your-api-key" \
  --data-urlencode "limit=25"

Example response

    {
      "data": [
        {
            "sale_id": "gAAAAABexampleSaleIdReturnedByApi0qN8xLm3sV6kRt2cY9hJ4uW1dF7",
            "associated_conversation_ids": [
                "gAAAAABexampleConversationIdReturnedByApi8kP3xLs7dV2mTr5cN9hY1uJ4"
            ],
            "company_id": "gAAAAABexampleCompanyIdReturnedByApi6vT2mQ9xLs4dK7pNc1hY5uJ8rF3",
            "owner_id": "gAAAAABexampleAgentIdReturnedByApi5qN8xLm3sV6kRt2cY9hJ4uW1dF7",
            "associated_contacts": [
                {
                    "contact_id": "gAAAAABexampleContactIdReturnedByApi9mN4qP2xLs9dV5kTr8cY1hJ6uW3",
                    "is_primary": true
                }
            ],
            "quote_details": {
                "output": {
                    "currency": "USD",
                    "total_price": "1200.00"
                },
                "arguments": {
                    "products": [
                        {
                            "quantity": 1,
                            "unit_price": "1200.00",
                            "product_name": "Enterprise Software License"
                        }
                    ]
                }
            },
            "notes": "Customer is interested in a 1-year license with priority support.",
            "current_status": {
                "label": "Accepted",
                "status": "accepted",
                "changed_at": "2026-03-13T01:28:41.829924Z"
            },
            "status_history": [
                {
                    "label": "Qualified",
                    "status": null,
                    "changed_at": "2026-03-12T01:28:41.829924Z"
                },
                {
                    "label": "Quoted",
                    "status": "quote_sent",
                    "changed_at": "2026-03-12T01:43:41.829924Z"
                },
                {
                    "label": "Accepted",
                    "status": "accepted",
                    "changed_at": "2026-03-13T01:28:41.829924Z"
                }
            ],
            "created_at": "2026-03-12T01:28:41.829924Z",
            "last_activity_at": "2026-03-12T01:28:41.829924Z"
        }
      ],
      "pagination": {
        "limit": 25,
        "cursor": null,
        "next_cursor": null,
        "has_more": false
      }
    }

Agent analytics

  • Name
    Combined analytics
    Description

    GET /api/v2/organizations/{organization_id}/agents/{agent_id}/analytics

  • Name
    Conversation analytics only
    Description

    GET /api/v2/organizations/{organization_id}/agents/{agent_id}/analytics/conversations

  • Name
    Sales analytics only
    Description

    GET /api/v2/organizations/{organization_id}/agents/{agent_id}/analytics/sales

Agent analytics endpoints require start_date and end_date query parameters.

Get combined agent analytics

curl -G https://api.hyperrep.ai/api/v2/organizations/gAAAAABexampleOrganizationIdReturnedByApi7mN4qP2xLs9dV5kTr8cY1hJ6uW3/agents/gAAAAABexampleAgentIdReturnedByApi5qN8xLm3sV6kRt2cY9hJ4uW1dF7/analytics \
  -H "X-API-KEY: your-api-key" \
  --data-urlencode "start_date=2026-04-01T00:00:00Z" \
  --data-urlencode "end_date=2026-04-30T23:59:59Z"

Example response

{
  "conversations": {
    "conversationsRespondedTo": 42,
    "messagesSent": 118
  },
  "sales": {
    "pipeline": [
      {
        "name": "Accepted",
        "status": "accepted",
        "volume": 1,
        "value": "1200.0"
    },
      {
        "name": "Closed Won",
        "status": null,
        "volume": 1,
        "value": "1200.0"
      }
    ],
    "salesRate": 0.4
  }
}

Was this page helpful?